# class Chef::Knife::ClientShow

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/client_show.rb, line 34
    def run
      @client_name = @name_args[0]

      if @client_name.nil?
        show_usage
        ui.fatal("You must specify a client name")
        exit 1
      end

      client = Chef::ApiClient.load(@client_name)
      output(format_for_display(client))
    end